%define daemon_group apache

Summary: A c-based SNMP interface check OP5 Monitor plugin
Name: monitor-plugin-check_snmpif
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPL+
Group: op5/system-addons
URL: https://www.itrsgroup.com
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: gcc
BuildRequires: net-snmp-devel
BuildRequires: check-devel
Requires: op5-monitor-user, net-snmp
%if 0%{?rhel} == 7
# These packages used to provide check_{ifoperstatus,iferrors,traffic}
# which we now take from this package instead.
Conflicts: plugins-community <= 7.1.0-beta1
Conflicts: plugins-nagios <= 2.6.9-beta2
%endif

%description
Provides check_snmpif, the c-based SNMP interface check.
This plugin has four modes, which can all be quite handy;
- status mode fetches AdminStatus and OperStatus for the
selected interface.

- traffic mode calculates traffic as a per-second value and
generates alerts if the thresholds are exceeded.

- errors mode calculates errors and, optionally, discards
per second and generates alerts if thresholds are exceeded.

- The 'all' mode checks all interfaces for status and errors.

%prep
%setup -q

%build
%__make

%check
%__make test


%install
make DESTDIR=%buildroot%prefix install
# now some symlinks, since we seem to be needing them
for dest in traffic iferrors ifoperstatus; do
	ln -s check_snmpif %buildroot%prefix/check_$dest
%if 0%{?rhel} == 7
	ln -s check_snmpif %buildroot%prefix/check_$dest.pl
%endif
done

#Folders required for check_snmpif
mkdir -p %buildroot/opt/monitor/var/snmpif/errors
mkdir -p %buildroot/opt/monitor/var/snmpif/traffic
mkdir -p %buildroot/opt/monitor/var/snmpif/combined
mkdir -p %buildroot/opt/monitor/var/snmpif/all
mkdir -p %buildroot/opt/monitor/var/snmpif/operstatus
mkdir -p %buildroot/opt/monitor/var/snmpif/status

%clean
%__make clean
rm -rf %buildroot

%files
%prefix/check_snmpif
%prefix/check_ifoperstatus
%prefix/check_traffic
%prefix/check_iferrors
%if 0%{?rhel} == 7
%prefix/check_ifoperstatus.pl
%prefix/check_traffic.pl
%prefix/check_iferrors.pl
%endif
# Folders required by check_snmpif
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/errors
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/traffic
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/combined
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/all
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/operstatus
%attr(755, monitor, %daemon_group) /opt/monitor/var/snmpif/status

%license LICENSE

%changelog
* Mon Jun 17 2013 Martin Kamijo <mk@op5.com>
Inital repository migration packaging
